#include <iostream>
#include <string>

using namespace std;

int main()
{
    long long x, y;
    int br[20], poz = 0;
    cin >> x >> y;
    int cifx, cify;
    while(x != 0 || y != 0){
        cifx = x % 10;
        cify = y % 10;
        if(cifx == cify && (x != 0 && y != 0)){
            br[poz] = cifx;
            poz ++;
            br[poz] = cify;
            poz ++;
        }
        else if(cifx > cify){
            br[poz] = cifx;
            poz ++;
        }
        else{
            br[poz] = cify;
            poz ++;
        }
        x /= 10;
        y /= 10;
    }
    for(int i = poz - 1; i >= 0; i --){
        cout << br[i];
    }
    return 0;
}